/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

div#section-hp-services {
    padding-bottom: 7em;
}
.module-testimonials.style-2 {
    padding-top: 2em;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <June 24, 2026> */


/**/
	/*fonts*/
	
	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

.cta-btn:first-child {
    background: var(--color-primary-background);
}
.cta-btn:first-child:hover {
    background: transparent;
    border-color: var(--color-primary-background);
    color: var(--color-primary-background);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-flex {
    align-items: center;
    gap: 100px;
}
/* Services */
	/**/
.ry-card {
    box-shadow: 0 0 7px 3px #3333330f;
}
.ry-card.ry-hp-service-5 {
	background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-8e5e9869-4dcb-4574-96fe-56d67062c446/services/Pediatric_Eye_Exam_7.png);
}
.ry-card.ry-hp-service-6 {
	background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-8e5e9869-4dcb-4574-96fe-56d67062c446/glaucoma.png);
}

.ry-card:before {
    background-color: #f6f7f3;
}

.excerpt-hidden:after {
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, #f6f7f3);
}

.ry-card .ry-icon {
    background-color: var(--color-primary-background);
}

.ry-card:nth-child(even) .ry-icon {
    background-color: var(--color-secondary-background);
}

.ry-card .ry-icon img,
.ry-card:hover .ry-icon img
{
    filter: invert(1);
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
#hp-brands-6 .overflow-hidden {
    padding: 10px 0;
}

#hp-brands-6 .swiper-slide {
    background:#b1d03614;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-2 .comments-icon {
    background-color: var(--color-secondary-background);
}

.module-testimonials.style-2 .comments-symbol {
    font-family: 'Playfar Display';
}
/* Footer */
	/**/
/*Media Queries*/
	/**/
@media (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    
    body[data-page-name="index"] #navigation {
        position: relative;
    }
}
@media (max-width: 1080px) {
    .module-welcome.style-5 .ry-each.image-wrapper .photo {
        padding-bottom: 36.25%;
    }
}
/* End - HP Edits*/

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}